### POST /3/network/{customerId}/{containerId}/system Source: https://api.server-eye.de/3/openapi.json Install Server-Eye on a machine in that OCC Connector's network. Installation takes longer than this single request. The status of the installation job can be request using GET /network/:customerId/:cId/system/installstatus. RequiredRole: `INSTALLER` ```markdown ### Request Body **Content-Type:** application/json - **user** (string): The username of a user that has an administrative role on the container's operating system. (example: "this is a string") - **password** (string): The password of a user that has an administrative role on the container's operating system. (example: "this is a string") - **host** (string) (required): The host name of the system Server-Eye will be installed to. Should be a name retrieved through GET /network/:customerId/:cId/system. (example: "this is a string") - **domain** (string): Does the user belong to a specific Windows domain? (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/network/{customerId}/{containerId}/system" \ -H "Content-Type: application/json" \ -d '{ "user": "this is a string", "password": "this is a string", "host": "this is a string", "domain": "this is a string" }' ``` ``` -------------------------------- ### GET /3/network/{customerId}/{containerId}/system/installstatus Source: https://api.server-eye.de/3/openapi.json Lists all systems within a Windows Active Directory or Workgroup. RequiredRole: `INSTALLER` ```markdown ### Parameters - **customerId** (string, path, required): The ID of the customer of the network. (example: "this is a string") - **containerId** (string, path, required): The ID of the OCC Connector within the network. (example: "this is a string") - **jobIds[]** (array (string), query, optional) - **version** (number, query, optional) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/network/{customerId}/{containerId}/system/installstatus?jobIds[]=item1,item2&version=1" ``` ``` -------------------------------- ### POST /3/smart-updates/{customerId}/findInstalled Source: https://api.server-eye.de/3/openapi.json Get the list of all installed patches for the specified containerIds for the specified time period. ```markdown ### Request Body **Content-Type:** application/json - **containerIds** (array (unknown)) - **start** (number) (required): An UTC date in milliseconds. Begin of the time period for the patches to be returned. The time periodmay not be longer as one year. (example: 9) - **end** (number) (required): An UTC date in milliseconds. End of the time period for the patches to be returned. The time periodmay not be longer as one year. (example: 9) - **queryString** (string): An optional string for the regex-search in the patch name field. (example: "this is a string") - **$fields** (array (unknown)): Specifies fields to be returned in the patch structures. ### Responses #### 200 - Schema definition for PatchOut - patch output type **smartUpdates_PatchOut** - **containerId** (string) - **identity** (string): ID of the patch - **name** (string): Name of the patch - **description** (string) - **installedOn** (string): Date. When this patch was installed successfully. ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/smart-updates/{customerId}/findInstalled" \ -H "Content-Type: application/json" \ -d '{ "containerIds": [ "value" ], "start": 9, "end": 9, "queryString": "this is a string", "$fields": [ "value" ] }' ``` ``` -------------------------------- ### GET /3/pcvisit/container/{containerId}/check Source: https://api.server-eye.de/3/openapi.json Checks if the pcVisit client is installed and returns the clientId if it exists RequiredRole: `PCVISIT` ```markdown ### Parameters - **containerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/pcvisit/container/{containerId}/check" ``` ``` -------------------------------- ### GET /3/spotlight-entries/current Source: https://api.server-eye.de/3/openapi.json API endpoint for GET /3/spotlight-entries/current ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/spotlight-entries/current" ``` ``` -------------------------------- ### GET /3/managed-deploy/app-catalog/tags Source: https://api.server-eye.de/3/openapi.json returns a list of tags starting with given string. `Only Distributor Users can access this route` ```markdown ### Parameters - **startsWith** (string, query, required): Typeahead for tag search (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/app-catalog/tags?startsWith=this is a string" ``` ``` -------------------------------- ### GET /3/managed-deploy/systems/scan/apps/{appId} Source: https://api.server-eye.de/3/openapi.json returns paginated systems that have the given app installed `Only Distributor Users can access this route` ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) (example: 9) - **orderBy** (unknown, query, optional) - **order** (unknown, query, optional) - **appId** (string, path, required): the unique package identifier for the app (example: "this is a string") - **customerIds[]** (array (string), query, optional) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/systems/scan/apps/{appId}?limit=12&offset=9&orderBy=version&order=asc&customerIds[]=item1,item2" ``` ``` -------------------------------- ### GET /3/user/list Source: https://api.server-eye.de/3/openapi.json Get all user lightweights for the given customer ```markdown ### Parameters - **searchString** (string, query, optional): Search string for surname, prename, email (example: "this is a string") - **customerId** (string, query, optional): the customer to get users of (example: "this is a string") - **$fields[]** (array (unknown), query, optional) ### Responses #### 200 - Schema definition for UserListItem **user_UserListItem** - **userId** (string) - **surname** (string) - **prename** (string) - **email** (string) - **companyName** (string) - **hasKeyPair** (boolean) - **hasSecondFactor** (boolean) - **role** (string (USER|LEAD|INSTALLER|ARCHITECT|TECHIE|HINTER|HR|REPORTING|MAV|PM|PCVISIT|POWERSHELL|TANSS|RMM|TASKS)): Scheme definition for USER_ROLE ("USER"|"LEAD"|"INSTALLER"|"ARCHITECT"|"TECHIE"|"HINTER"|"HR"|"REPORTING"|"MAV"|"PM"|"PCVISIT"|"POWERSHELL"|"TANSS"|"RMM"|"TASKS") - **roles** (array (user_USER_ROLE)) - **customer** (object) - **customerId** (string) (required) ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/user/list?searchString=this is a string&customerId=this is a string&$fields[]=item1,item2" ``` ``` -------------------------------- ### GET /3/managed-deploy/systems/tags Source: https://api.server-eye.de/3/openapi.json returns a list of SEtags starting with given string. `Only Distributor Users can access this route` ```markdown ### Parameters - **startsWith** (string, query, required): Typeahead for tag search (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/systems/tags?startsWith=this is a string" ``` ``` -------------------------------- ### GET /3/customer/{customerId}/secret Source: https://api.server-eye.de/3/openapi.json Get a customers secretKey RequiredRole: `INSTALLER` ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/{customerId}/secret" ``` ``` -------------------------------- ### GET /3/container/{containerId}/proposal/{proposalId}/setting Source: https://api.server-eye.de/3/openapi.json Get the settings of a proposal. ```markdown ### Parameters - **containerId** (string, path, required): The ID of the specific container (example: "this is a string") - **proposalId** (string, path, required): The proposal ID (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/container/{containerId}/proposal/{proposalId}/setting" ``` ``` -------------------------------- ### Schema: i-doit install Source: https://api.server-eye.de/3/openapi.json Schema definition for iDoit_Install ```markdown ## Schema: i-doit install Schema definition for iDoit_Install **Type:** object - **_id** (string) (required) - **created** (string (date-time)) (required) - **servereyeConfig** (object) (required) - **url** (string (uri)) (required) - **status** (string) (required) - **addonStatus** (string) (required) - **targetConfig** (object) (required) - **type** (string) (required) - **url** (string (uri)) (required) - **targetStatus** (string) (required) - **updated** (string (date-time)) (required) ``` -------------------------------- ### POST /3/acronis/customer/{customerId}/containers/install Source: https://api.server-eye.de/3/openapi.json Creates scheduled task on the given containers to install the acronis-agent RequiredRole: `INSTALLER` ```markdown ### Request Body **Content-Type:** application/json - **userTenantId** (string) (required): An acronis userTenantId. Installs the acronis-agents for this user's tenant. (example: "this is a string") - **containerIds** (array (string)) (required) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/acronis/customer/{customerId}/containers/install" \ -H "Content-Type: application/json" \ -d '{ "userTenantId": "this is a string", "containerIds": [ "string" ] }' ``` ``` -------------------------------- ### GET /3/network/{customerId}/{containerId}/system Source: https://api.server-eye.de/3/openapi.json Lists all systems within a Windows Active Directory or Workgroup. RequiredRole: `INSTALLER` ```markdown ### Parameters - **customerId** (string, path, required): The ID of the customer of the network. (example: "this is a string") - **containerId** (string, path, required): The ID of the OCC Connector within the network. (example: "this is a string") - **user** (string, query, optional): The username of a user that has an administrative role on the container's operating system. (example: "this is a string") - **password** (string, query, optional): The password of a user that has an administrative role on the container's operating system. (example: "this is a string") - **domain** (string, query, optional): Does the user belong to a specific Windows domain? (example: "this is a string") - **version** (number, query, optional) - **cacheForMinutes** (number, query, optional) - **forceRefresh** (boolean, query, optional) (example: false) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/network/{customerId}/{containerId}/system?user=this is a string&password=this is a string&domain=this is a string&version=1&cacheForMinutes=10&forceRefresh=false" ``` ``` -------------------------------- ### GET /3/agent/type/{agentType}/faq Source: https://api.server-eye.de/3/openapi.json Get the FAQ's for an agent type ```markdown ### Parameters - **agentType** (string, path, required): The ID of the specific agent. (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/agent/type/{agentType}/faq" ``` ``` -------------------------------- ### GET /3/me/customer/managing Source: https://api.server-eye.de/3/openapi.json List all your customers you are allowed to handle ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/me/customer/managing" ``` ``` -------------------------------- ### GET /3/container/{containerId}/toolkit/logs Source: https://api.server-eye.de/3/openapi.json Gets a download link for the logs of a container ```markdown ### Parameters - **containerId** (string, path, required): The ID of the container to get logs for (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/container/{containerId}/toolkit/logs" ``` ``` -------------------------------- ### GET /3/me/setting Source: https://api.server-eye.de/3/openapi.json Returns your user's settings. ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/me/setting" ``` ``` -------------------------------- ### GET /3/pcvisit/container/{containerId}/url Source: https://api.server-eye.de/3/openapi.json Creates and gets the URL for access RequiredRole: `PCVISIT` ```markdown ### Parameters - **containerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/pcvisit/container/{containerId}/url" ``` ``` -------------------------------- ### GET /3/grafana-plugin/{agentId}/{saveName}/{start}/{end} Source: https://api.server-eye.de/3/openapi.json API endpoint for GET /3/grafana-plugin/{agentId}/{saveName}/{start}/{end} ```markdown ### Parameters - **agentId** (string, path, required) (example: "this is a string") - **saveName** (string, path, required) (example: "this is a string") - **start** (number, path, required) (example: 9) - **end** (number, path, required) (example: 9) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/grafana-plugin/{agentId}/{saveName}/{start}/{end}" ``` ``` -------------------------------- ### POST /3/docupike/install Source: https://api.server-eye.de/3/openapi.json Installs the i-doit instance. RequiredRole: `LEAD` ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - response **iDoit_Install** - **_id** (string) (required) - **created** (string (date-time)) (required) - **servereyeConfig** (object) (required) - **url** (string (uri)) (required) - **status** (string) (required) - **addonStatus** (string) (required) - **targetConfig** (object) (required) - **type** (string) (required) - **url** (string (uri)) (required) - **targetStatus** (string) (required) - **updated** (string (date-time)) (required) ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/docupike/install" \ -H "Content-Type: application/json" \ -d '{}' ``` ``` -------------------------------- ### GET /3/reporting/template Source: https://api.server-eye.de/3/openapi.json List all available report templates. ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/reporting/template" ``` ``` -------------------------------- ### POST /3/container/{containerId}/start Source: https://api.server-eye.de/3/openapi.json Start a container RequiredRole: `TECHIE` ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/container/{containerId}/start" \ -H "Content-Type: application/json" \ -d '{}' ``` ``` -------------------------------- ### GET /3/customer Source: https://api.server-eye.de/3/openapi.json Lists all customers of your distributor ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer" ``` ``` -------------------------------- ### GET /3/smart-updates/{customerId}/container/{containerId}/patches/history Source: https://api.server-eye.de/3/openapi.json Get the count of installed patches grouped by date. ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") - **containerId** (string, path, required) (example: "this is a string") - **start** (number, query, optional): The utc start-date in milliseconds. (example: 9) - **end** (number, query, optional): The utc end-date in milliseconds. (example: 9) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/smart-updates/{customerId}/container/{containerId}/patches/history?start=9&end=9" ``` ``` -------------------------------- ### PUT /3/pcvisit/container/{containerId}/install Source: https://api.server-eye.de/3/openapi.json Sends a notification to the SE client to install the pcVisit client RequiredRole: `PCVISIT` ```markdown ### Request Body **Content-Type:** application/json - **accessPassword** (string): Access password for the client. Only required when using your own pcvisit license. (example: "this is a string") - **accessPasswordRepeat** (string) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X PUT "https://beta-api.server-eye.de/3/pcvisit/container/{containerId}/install" \ -H "Content-Type: application/json" \ -d '{ "accessPassword": "this is a string", "accessPasswordRepeat": "this is a string" }' ``` ``` -------------------------------- ### Schema: manager.pcvisit.installClient Source: https://api.server-eye.de/3/openapi.json Schema definition for manager.pcvisit.installClient ```markdown ## Schema: manager.pcvisit.installClient Schema definition for manager.pcvisit.installClient **Type:** object - **accessPassword** (string): Access password for the client. Only required when using your own pcvisit license. (example: "this is a string") - **accessPasswordRepeat** (string) (example: "this is a string") ``` -------------------------------- ### POST /3/smart-updates/{customerId}/view-filter/{viewFilterId}/settings Source: https://api.server-eye.de/3/openapi.json Give the complete settings for this customer/viewFilter combination. downloadStrategy can be one of FILEDEPOT_ONLY, FILEDEPOT_AND_DIRECT or DIRECT_ONLY. delayInstallByDays must be between 0 and 30 (inclusive). installWindowInDays must be between 1 and 60 (inclusive). Both together may not exceed a maximum of 60 days. ```markdown ### Request Body **Content-Type:** application/json - **delayInstallByDays** (number) (required) (example: 9) - **installWindowInDays** (number) (required) (example: 9) - **downloadStrategy** (unknown) (required) (example: "FILEDEPOT_ONLY") ("FILEDEPOT_ONLY"|"FILEDEPOT_AND_DIRECT"|"DIRECT_ONLY") - **maxScanAgeInDays** (number) (example: 9) - **enableRebootNotify** (boolean) (required) - **maxRebootNotifyIntervalInHours** (number) (required) - **delayRebootNotifyByDays** (number) (required) - **categories** (object) (required) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/smart-updates/{customerId}/view-filter/{viewFilterId}/settings" \ -H "Content-Type: application/json" \ -d '{ "delayInstallByDays": 9, "installWindowInDays": 9, "downloadStrategy": "FILEDEPOT_ONLY", "maxScanAgeInDays": 9, "enableRebootNotify": "true", "maxRebootNotifyIntervalInHours": "4", "delayRebootNotifyByDays": "2", "categories": "value" }' ``` ``` -------------------------------- ### GET /3/me/customer Source: https://api.server-eye.de/3/openapi.json Returns your customer object. ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/me/customer" ``` ``` -------------------------------- ### GET /3/customer/tag Source: https://api.server-eye.de/3/openapi.json Lists all tags for the customer ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/tag" ``` ``` -------------------------------- ### GET /3/managed-deploy/systems Source: https://api.server-eye.de/3/openapi.json returns a paginated list of systems from the app catalog, which can be ordered by title or updatedAt in ascending or descending order and be filtered by locale, a string filter or an array of tags. `Only Distributor Users can access this route` ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) (example: 9) - **orderBy** (unknown, query, optional) - **order** (unknown, query, optional) - **filter** (string, query, optional) (example: "this is a string") - **filterTag[]** (array (unknown), query, optional) - **customerIds[]** (array (unknown), query, optional) - **hasMdSensor** (boolean, query, optional) (example: false) - **hasScanResults** (boolean, query, optional) (example: false) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/systems?limit=12&offset=9&orderBy=title&order=asc&filter=this is a string&filterTag[]=item1,item2&customerIds[]=item1,item2&hasMdSensor=false&hasScanResults=false" ``` ``` -------------------------------- ### Schema: manager.iDoit.install Source: https://api.server-eye.de/3/openapi.json Schema definition for manager.iDoit.install ```markdown ## Schema: manager.iDoit.install Schema definition for manager.iDoit.install **Type:** object ``` -------------------------------- ### GET /3/managed-deploy/app-catalog/apps Source: https://api.server-eye.de/3/openapi.json returns a paginated list of apps from the app catalog, which can be ordered by title or updatedAt in ascending or descending order and be filtered by locale, a string filter or an array of tags. `Only Distributor Users can access this route` ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) (example: 9) - **orderBy** (unknown, query, optional) - **order** (unknown, query, optional) - **filter** (string, query, optional) (example: "this is a string") - **filterTag[]** (array (unknown), query, optional) - **locale** (unknown, query, optional) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/app-catalog/apps?limit=12&offset=9&orderBy=rank&order=desc&filter=this is a string&filterTag[]=item1,item2&locale=de" ``` ``` -------------------------------- ### GET /3/customer/bucket/{bucketId}/history Source: https://api.server-eye.de/3/openapi.json Returns the history of a bucket between the start and end timestamp sorted by the timestamp of the notification descending. RequiredRole: `ARCHITECT` ```markdown ### Parameters - **bucketId** (string, path, required) (example: "this is a string") - **start** (number, query, optional) (example: 9) - **end** (number, query, optional): The end unix-timestamp of the history (example: 9) - **delivered** (boolean, query, optional): Filter for delivered notifications (example: false) - **skip** (number, query, optional): The amount of notifications to skip (example: 9) - **limit** (number, query, optional): The amount of notifications to return ### Responses #### 200 - The history of the bucket content. **bucket_BucketHistory** - **bucketEntries** (array (bucket_BucketEntry)) (required): The list of bucket entries. Each entry in the array corresponds to one message in the bucked. Array items: - **type** (string (STATE|HINT)) (required): The type of the bucket entry. `STATE` for state changes from OK to ERROR or bac. `HINT` for hint-messages created for the state. ("STATE"|"HINT") - **targetType** (string (SITE|CONTAINER|AGENT)) (required): The type of the target of the bucket entry. `SITE` for a site (occ-connector), `CONTAINER` for a container, `AGENT` for an agent. ("SITE"|"CONTAINER"|"AGENT") - **targetId** (string) (required): The id of the target entity. `targetType` defines the type of the target entity. - **site** (object) (required) - **siteId** (string) (required) - **name** (string) - **tags** (array (tag_Tag)): Schema definition for a list of Tags Array items: - **tagId** (string) (required): The unique identifier for the tag - **name** (string) (required) - **customerId** (string): The customer the tag belongs to. May be omitted in API responses. - **container** (object) - **cId** (string) (required) - **name** (string) - **machineName** (string) - **tags** (array (tag_Tag)): Schema definition for a list of Tags Array items: - **agent** (object) - **aId** (string) (required) - **name** (string) - **type** (string) - **tags** (array (tag_Tag)): Schema definition for a list of Tags Array items: - **customer** (object) (required) - **cId** (string) (required) - **name** (string) - **number** (number) - **notification** (object) - **nId** (string) (required) - **phone** (boolean) - **email** (boolean) - **ticket** (boolean) - **user** (object) (required) - **uId** (string) (required) - **prename** (string) - **surname** (string) - **email** (string) - **isGroup** (boolean) - **state** (object) (required) - **sId** (number): Legacy state id. Do not use. - **stateId** (string) (required) - **message** (string) - **date** (number) - **error** (boolean) - **note** (object) - **hId** (string) (required) - **author** (string) - **message** (string) - **customerId** (string) - **assigned** (string) - **date** (number) - **hintType** (number) - **private** (boolean) - **count** (integer) (required): The number of entries in the bucket. ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/bucket/{bucketId}/history?start=9&end=9&delivered=false&skip=9&limit=50" ``` ``` -------------------------------- ### PUT /3/customer/{customerId} Source: https://api.server-eye.de/3/openapi.json Updates a customer of your distributor. Nearly any property of the GET /customer/:id result object can be modified and send to the server. RequiredRole: `INSTALLER` ```markdown ### Request Body **Content-Type:** application/json - **companyName** (string) (example: "this is a string") - **zipCode** (string) (example: "this is a string") - **city** (string) (example: "this is a string") - **country** (string) (example: "this is a string") - **street** (string) (example: "this is a string") - **streetNumber** (string) (example: "this is a string") - **email** (string) (example: "this is a string") - **phone** (string) (example: "this is a string") - **defaultLanguage** (unknown) (required) ("en"|"de") - **timezone** (string) (required) - **customerDistributorInfo** (object) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X PUT "https://beta-api.server-eye.de/3/customer/{customerId}" \ -H "Content-Type: application/json" \ -d '{ "companyName": "this is a string", "zipCode": "this is a string", "city": "this is a string", "country": "this is a string", "street": "this is a string", "streetNumber": "this is a string", "email": "this is a string", "phone": "this is a string", "defaultLanguage": "en", "timezone": "Europe/Berlin", "customerDistributorInfo": "value" }' ``` ``` -------------------------------- ### Schema: manager.container.start Source: https://api.server-eye.de/3/openapi.json Schema definition for manager.container.start ```markdown ## Schema: manager.container.start Schema definition for manager.container.start **Type:** object ``` -------------------------------- ### POST /3/customer/{customerId}/license Source: https://api.server-eye.de/3/openapi.json Add a license to a customer. RequiredRole: `LEAD` ```markdown ### Request Body **Content-Type:** application/json - **name** (unknown) (required) (example: "trayicon") ("trayicon") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/customer/{customerId}/license" \ -H "Content-Type: application/json" \ -d '{ "name": "trayicon" }' ``` ``` -------------------------------- ### GET /3/openapi.json Source: https://api.server-eye.de/3/openapi.json API endpoint for GET /3/openapi.json ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/openapi.json" ``` ``` -------------------------------- ### GET /3/auth/logout Source: https://api.server-eye.de/3/openapi.json API endpoint for GET /3/auth/logout ```markdown ### Responses #### 200 - response **auth_Logout** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/auth/logout" ``` ``` -------------------------------- ### POST /3/search/actionlog Source: https://api.server-eye.de/3/openapi.json Query the actionlog. ```markdown ### Request Body **Content-Type:** application/json - **of** (array (unknown)): An array of ids. This can be any ids in any combination, e.g. id of a container or id of a user. You will receive the complete history behind any of these ids. - **customers** (array (unknown)) - **type** (array (unknown)): An array of types. You can reduce the result to specific change types. - **changeKey** (string): The key which specifies the change (example: "this is a string") - **newValue** (string): The new value which is set for the made change (example: "this is a string") - **oldValue** (string): The old value, which was set before the change was made (example: "this is a string") - **timeFrame** (object) (required) - **countBucket** (object) - **timezone** (string) - **offset** (object) - **messageFormat** (unknown): If the entry should be human readable, specify the format of the message. This will include a 'message' property in each entry or not. ("none"|"md"|"html") - **includeRawData** (boolean): If the entry should contain the raw data. This includes the change object and additional information, if available, in each resulting entry. (example: false) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/search/actionlog" \ -H "Content-Type: application/json" \ -d '{ "of": [ "value" ], "customers": [ "value" ], "type": [ "value" ], "changeKey": "this is a string", "newValue": "this is a string", "oldValue": "this is a string", "timeFrame": "value", "countBucket": "value", "timezone": "Europe/Berlin", "offset": "value", "messageFormat": "none", "includeRawData": false }' ``` ``` -------------------------------- ### GET /3/customer/{customerId}/license Source: https://api.server-eye.de/3/openapi.json Returns all licenses of a customer ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/{customerId}/license" ``` ``` -------------------------------- ### GET /3/customer/{customerId} Source: https://api.server-eye.de/3/openapi.json Get a customer of your distributor by ID ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/{customerId}" ``` ``` -------------------------------- ### GET /3/customer/tag/{tagId} Source: https://api.server-eye.de/3/openapi.json Get a specific tag by id ```markdown ### Parameters - **tagId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/tag/{tagId}" ``` ``` -------------------------------- ### POST /3/powershell/remote/{customerId}/{containerId}/start Source: https://api.server-eye.de/3/openapi.json Start a remote powershell session on a system. RequiredRole: `TECHIE` ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/powershell/remote/{customerId}/{containerId}/start" \ -H "Content-Type: application/json" \ -d '{}' ``` ``` -------------------------------- ### GET /3/version/{client} Source: https://api.server-eye.de/3/openapi.json API endpoint for GET /3/version/{client} ```markdown ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/version/{client}" ``` ``` -------------------------------- ### GET /3/customer/{customerId}/setting Source: https://api.server-eye.de/3/openapi.json List customer settings ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/{customerId}/setting" ``` ``` -------------------------------- ### GET /3/smart-updates/{customerId}/view-filter Source: https://api.server-eye.de/3/openapi.json Get the list of viewFilters for this customer. ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/smart-updates/{customerId}/view-filter" ``` ``` -------------------------------- ### GET /3/customer/view-filter/{viewFilterId} Source: https://api.server-eye.de/3/openapi.json Get a specific view filter by id ```markdown ### Parameters - **viewFilterId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/view-filter/{viewFilterId}" ``` ``` -------------------------------- ### POST /3/container Source: https://api.server-eye.de/3/openapi.json Creates a new container. ```markdown ### Request Body **Content-Type:** application/json - **customerId** (string) (required): The ID of the customer for which the container shall be registered (example: "this is a string") - **name** (string) (required): The name of the container to create. Used for display in OCC (example: "this is a string") - **containerType** (unknown) (required): The type of the container to create (example: "MAC") ("MAC"|"SECMAC"|"CAC"|"TEMPLATE"|"EXTERNAL") - **machineName** (string) (required): The machine name of the container to create (example: "this is a string") - **isServer** (boolean) (required): Indicates whether the container is a server (example: false) - **publicKey** (string) (required): The public key of the container (example: "this is a string") - **parentId** (string): The ID of the parent container (required for non-OCC Connector containers) (example: "this is a string") - **utcOffset** (string): The UTC offset of the container (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/container" \ -H "Content-Type: application/json" \ -d '{ "customerId": "this is a string", "name": "this is a string", "containerType": "MAC", "machineName": "this is a string", "isServer": false, "publicKey": "this is a string", "parentId": "this is a string", "utcOffset": "this is a string" }' ``` ``` -------------------------------- ### GET /3/agent/{agentId}/chart Source: https://api.server-eye.de/3/openapi.json Get an agent's chart. ```markdown ### Parameters - **agentId** (string, path, required): The ID of the specific agent. (example: "this is a string") - **start** (number, query, optional): Start date in milliseconds. (example: 9) - **end** (number, query, optional): End date in milliseconds. (example: 9) - **valueType** (unknown, query, optional): Which values do you need? - **fillGaps** (boolean, query, optional): If there are gaps in the chart, do you want them to be auto-filled with the previous chart value? (example: false) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/agent/{agentId}/chart?start=9&end=9&valueType=AVG&fillGaps=false" ``` ``` -------------------------------- ### GET /3/smart-updates/{customerId}/view-filter/{viewFilterId}/settings Source: https://api.server-eye.de/3/openapi.json Get the settings for this viewFilter. ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") - **viewFilterId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/smart-updates/{customerId}/view-filter/{viewFilterId}/settings" ``` ``` -------------------------------- ### GET /3/reporting/{customerId}/report/{reportId} Source: https://api.server-eye.de/3/openapi.json Get details of a reports and its' history. ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") - **reportId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/reporting/{customerId}/report/{reportId}" ``` ``` -------------------------------- ### PUT /3/container/{containerId}/proposal/{proposalId} Source: https://api.server-eye.de/3/openapi.json Accept a proposal and turn it into an agent. ```markdown ### Request Body **Content-Type:** application/json ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X PUT "https://beta-api.server-eye.de/3/container/{containerId}/proposal/{proposalId}" \ -H "Content-Type: application/json" \ -d '{}' ``` ``` -------------------------------- ### GET /3/pcvisit/container/{containerId} Source: https://api.server-eye.de/3/openapi.json Gets the information of the pcvisit container RequiredRole: `PCVISIT` ```markdown ### Parameters - **containerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/pcvisit/container/{containerId}" ``` ``` -------------------------------- ### GET /3/customer/{customerId}/property Source: https://api.server-eye.de/3/openapi.json Returns all licenses of a customer ```markdown ### Parameters - **customerId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/{customerId}/property" ``` ``` -------------------------------- ### GET /3/customer/dispatch-time/{dispatchTimeId} Source: https://api.server-eye.de/3/openapi.json Get a specific deferred dispatch time by id ```markdown ### Parameters - **dispatchTimeId** (string, path, required) (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/dispatch-time/{dispatchTimeId}" ``` ``` -------------------------------- ### GET /3/customer/bucket/{bucketId} Source: https://api.server-eye.de/3/openapi.json Get a specific bucket by id RequiredRole: `ARCHITECT` ```markdown ### Parameters - **bucketId** (string, path, required) (example: "this is a string") ### Responses #### 200 - The bucket definition **bucket_Bucket** - **bucketId** (string) (required) - **name** (string) (required) - **customerId** (string) (required) - **userIds** (array) ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/customer/bucket/{bucketId}" ``` ``` -------------------------------- ### POST /3/container/{containerId}/toolkit/hotfix/install Source: https://api.server-eye.de/3/openapi.json Installs a hotfix on a container ```markdown ### Request Body **Content-Type:** application/json - **hotfixId** (string) (required): The ID of the hotfix to install (example: "this is a string") ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X POST "https://beta-api.server-eye.de/3/container/{containerId}/toolkit/hotfix/install" \ -H "Content-Type: application/json" \ -d '{ "hotfixId": "this is a string" }' ``` ``` -------------------------------- ### GET /3/managed-deploy/system-groups Source: https://api.server-eye.de/3/openapi.json returns a paginated list of the systemGroups, can be ordered by title or update date, and filtered by a search term. The customerIds parameter can be used to filter the systemGroups by customer IDs. `Only Distributor Users can access this route` ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) (example: 9) - **orderBy** (unknown, query, optional) - **order** (unknown, query, optional) - **filter** (string, query, optional) (example: "this is a string") - **customerIds[]** (array (string), query, optional) ### Responses #### 200 - response **DefaultSchema** ### Example Usage ```bash curl -X GET "https://beta-api.server-eye.de/3/managed-deploy/system-groups?limit=12&offset=9&orderBy=title&order=desc&filter=this is a string&customerIds[]=item1,item2" ``` ```